---

#! /db/releases/20250331222840/lkp-src/jobs/kvm-unit-tests.yaml
suite: kvm-unit-tests
testcase: kvm-unit-tests
category: functional
kernel_cmdline: kvm.enable_vmware_backdoor=Y
kvm-unit-tests:
job_origin: kvm-unit-tests.yaml
arch: x86_64

#! include/category/functional
kmsg:
heartbeat:
meminfo:

#! include/category/ALL
sanity-check:

#! programs/kvm-unit-tests/include
need_kconfig:
- KVM: m
- KVM_INTEL: m
- X86_INTEL_TSX_MODE_OFF: "n"
- X86_INTEL_TSX_MODE_AUTO: "y"
- X86_INTEL_TSX_MODE_ON: "n"
- KVM: m
- KVM_INTEL: m
- X86_INTEL_TSX_MODE_OFF: "n"
- X86_INTEL_TSX_MODE_AUTO: "y"
- X86_INTEL_TSX_MODE_ON: "n"

#! queue options
queue_cmdline_keys:
- branch
- commit
queue: bisect
testbox: lkp-hsw-d01
tbox_group: lkp-hsw-d01
branch: linux-next/master
commit: 88ec7eedbbd21cad38707620ad6c48a4e9a87c18
job_file: "/lkp/jobs/scheduled/lkp-hsw-d01/kvm-unit-tests-defaults-debian-12-x86_64-20240206.cgz-88ec7eedbbd2-20250402-99385-15ri5om-1.yaml"
id: cd80e5fd7a1a90ce6ac36c990c86c69be2b0b1fd
queuer_version: "/zday/lkp"

#! /db/releases/20250331222840/lkp-src/hosts/lkp-hsw-d01
model: Haswell
nr_node: 1
nr_cpu: 8
memory: 8G
nr_ssd_partitions: 1
nr_hdd_partitions: 6
hdd_partitions: "/dev/disk/by-id/ata-ST4000NM0035-1V4107_ZC12HHHW-part*"
ssd_partitions: "/dev/disk/by-id/ata-INTEL_SSDSC2BB800G4_PHWL42040015800RGN-part2"
swap_partitions:
rootfs_partition: "/dev/disk/by-id/ata-INTEL_SSDSC2BB800G4_PHWL42040015800RGN-part1"
brand: Intel(R) Core(TM) i7-4770 CPU @ 3.40GHz
ucode: '0x28'
need_kconfig_hw:
- PTP_1588_CLOCK: "y"
- E1000E: "y"
- ATA_SFF: "y"
- ATA_BMDMA: "y"
- ATA_PIIX
- DRM_I915

#! /db/releases/20250331222840/lkp-src/include/category/functional

#! /db/releases/20250331222840/lkp-src/include/category/ALL

#! /db/releases/20250331222840/lkp-src/programs/kvm-unit-tests/include
rootfs: debian-12-x86_64-20240206.cgz
kconfig: x86_64-rhel-9.4-func
enqueue_time: 2025-04-02 14:40:37.591562543 +08:00
compiler: gcc-12
_rt: "/result/kvm-unit-tests/defaults/lkp-hsw-d01/debian-12-x86_64-20240206.cgz/x86_64-rhel-9.4-func/gcc-12/88ec7eedbbd21cad38707620ad6c48a4e9a87c18"

#! schedule options
user: lkp
LKP_SERVER: internal-lkp-server
scheduler_version: "/lkp/lkp/.src-20250401-181136"
max_uptime: 1200
initrd: "/osimage/debian/debian-12-x86_64-20240206.cgz"
bootloader_append:
- root=/dev/ram0
- RESULT_ROOT=/result/kvm-unit-tests/defaults/lkp-hsw-d01/debian-12-x86_64-20240206.cgz/x86_64-rhel-9.4-func/gcc-12/88ec7eedbbd21cad38707620ad6c48a4e9a87c18/0
- BOOT_IMAGE=/pkg/linux/x86_64-rhel-9.4-func/gcc-12/88ec7eedbbd21cad38707620ad6c48a4e9a87c18/vmlinuz-6.14.0-rc4-00004-g88ec7eedbbd2
- branch=linux-next/master
- job=/lkp/jobs/scheduled/lkp-hsw-d01/kvm-unit-tests-defaults-debian-12-x86_64-20240206.cgz-88ec7eedbbd2-20250402-99385-15ri5om-1.yaml
- user=lkp
- ARCH=x86_64
- kconfig=x86_64-rhel-9.4-func
- commit=88ec7eedbbd21cad38707620ad6c48a4e9a87c18
- kvm.enable_vmware_backdoor=Y
- intremap=posted_msi
- max_uptime=1200
- LKP_SERVER=internal-lkp-server
- nokaslr
- selinux=0
- debug
- apic=debug
- sysrq_always_enabled
- rcupdate.rcu_cpu_stall_timeout=100
- net.ifnames=0
- printk.devkmsg=on
- panic=-1
- softlockup_panic=1
- nmi_watchdog=panic
- oops=panic
- load_ramdisk=2
- prompt_ramdisk=0
- drbd.minor_count=8
- systemd.log_level=err
- ignore_loglevel
- console=tty0
- earlyprintk=ttyS0,115200
- console=ttyS0,115200
- vga=normal
- rw
modules_initrd: "/pkg/linux/x86_64-rhel-9.4-func/gcc-12/88ec7eedbbd21cad38707620ad6c48a4e9a87c18/modules.cgz"
bm_initrd: "/osimage/deps/debian-12-x86_64-20240206.cgz/lkp_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/rsync-rootfs_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/run-ipconfig_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/kvm-unit-tests_20250322.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/kvm-unit-tests-x86_64-69574079-1_20250322.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/hw_20241102.cgz"
ucode_initrd: "/osimage/ucode/intel-ucode-20230906.cgz"
lkp_initrd: "/osimage/user/lkp/lkp-x86_64.cgz"
site: inn

#! /db/releases/20250331222840/lkp-src/include/site/inn
LKP_CGI_PORT: 80
LKP_CIFS_PORT: 139
oom-killer:
watchdog:
job_initrd: "/lkp/jobs/scheduled/lkp-hsw-d01/kvm-unit-tests-defaults-debian-12-x86_64-20240206.cgz-88ec7eedbbd2-20250402-99385-15ri5om-1.cgz"
last_kernel: 4.20.0

#! user overrides
kernel: "/pkg/linux/x86_64-rhel-9.4-func/gcc-12/88ec7eedbbd21cad38707620ad6c48a4e9a87c18/vmlinuz-6.14.0-rc4-00004-g88ec7eedbbd2"
result_root: "/result/kvm-unit-tests/defaults/lkp-hsw-d01/debian-12-x86_64-20240206.cgz/x86_64-rhel-9.4-func/gcc-12/88ec7eedbbd21cad38707620ad6c48a4e9a87c18/0"

#! /db/releases/20250401152949/lkp-src/include/site/inn
dequeue_time: 2025-04-02 15:25:41.315891369 +08:00
job_state: finished
loadavg: 0.59 1.04 0.58 1/180 15021
start_time: '1743580498'
end_time: '1743580738'
version: "/lkp/lkp/.src-20250401-181136:6acec7dbba66-dirty:65acf1b71133"
